diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 8570510..ccdf9e6 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -58968,11 +58968,11 @@ MatrixCommonDenominator(R, Q): Exports == Implementation where
  
     clearDenominator m ==
       d := commonDenominator m
-      map(numer(d * #1), m)
+      map(x +-> numer(d*x), m)
  
     splitDenominator m ==
       d := commonDenominator m
-      [map(numer(d * #1), m), d]
+      [map(x +-> numer(d*x), m), d]
  
     if R has GcdDomain then
       commonDenominator m == lcm map(denom, parts m)
diff --git a/changelog b/changelog
index ca2feb8..7e590a4 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090607 tpd src/axiom-website/patches.html 20090607.08.tpd.patch
+20090607 tpd books/bookvol10.4 MCDEN +-> conversion
 20090607 tpd src/axiom-website/patches.html 20090607.07.tpd.patch
 20090607 tpd src/input/tpieazas001.input fix name of output file
 20090607 tpd src/axiom-website/patches.html 20090607.06.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index cb5ab5c..8ee4650 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1491,5 +1491,7 @@ tpieazas001.input complete page 001<br/>
 bookvol10.4 MAPPGK4 +-> conversion<br/>
 <a href="patches/20090607.07.tpd.patch">20090607.07.tpd.patch</a>
 tpieazas001.input fix name of output file<br/>
+<a href="patches/20090607.08.tpd.patch">20090607.08.tpd.patch</a>
+bookvol10.4 MCDEN +-> conversion<br/>
  </body>
 </html>
